## libdbd-mariadb-perl 1.11

=== debian/changelog ===
libdbd-mariadb-perl (1.11-3ubuntu2) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 08:03:18 +0000

libdbd-mariadb-perl (1.11-3ubuntu1) eoan; urgency=medium

  * Changes required for the MySQL 8.0 transition:
    - Avoid IDENTIFIED BY on GRANT.
    - GRANT SESSION_VARIABLES_ADMIN as required by MySQL >= 8.0.14.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 30 Jul 2019 11:29:45 +0000

libdbd-mariadb-perl (1.11-3) unstable; urgency=medium

  * Team upload.
  * Replace MariaDB 10.3.12 test patch with the one from the upstream pull
    request. Thanks to Pali for coming up with a real fix.

 -- gregor herrmann <gregoa@debian.org>  Thu, 17 Jan 2019 18:33:11 +0100

libdbd-mariadb-perl (1.11-2) unstable; urgency=medium

  * Team upload.
  * Add patch to temporarily make a test failure non-fatal which is caused
    by a change in MariaDB 10.3.12's output. (Closes: #919071)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Jan 2019 18:16:21 +0100

libdbd-mariadb-perl (1.11-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.11.
  * Add build dependency on libnet-ssleay-perl.
  * Add libnet-ssleay-perl in debian/tests/control as well.

 -- gregor herrmann <gregoa@debian.org>  Fri, 04 Jan 2019 23:18:29 +0100

libdbd-mariadb-perl (1.10-2) unstable; urgency=medium

  * Team upload.
  * Add libssl-dev to Build-Depends and in debian/tests/control to fix a
    configure failure.
  * Make build dependency on default-libmysqlclient-dev versioned.
    Intermediate versions had dependency issues.
  * debian/tests/control: add test-name to the tests.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.

 -- gregor herrmann <gregoa@debian.org>  Tue, 25 Dec 2018 22:32:58 +0100

libdbd-mariadb-perl (1.10-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.10.
  * Drop spelling-error.patch, applied upstream.
  * Make (build) dependency on libdbi-perl versioned.

 -- gregor herrmann <gregoa@debian.org>  Sun, 09 Dec 2018 17:46:32 +0100

libdbd-mariadb-perl (1.00-2) unstable; urgency=medium

  * Team upload.

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org

  [ gregor herrmann ]
  * debian/tests/control: mark mysql test as skippable as there is no
    mysql in testing.
    This mirrors Paul Gever's merge request for libdbd-mysql-perl.
  * debian/tests/control: drop "needs-recommends" restriction.
    Deprecated, and the package has no Recommends anyway.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.2.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 12 Oct 2018 22:49:25 +0200

libdbd-mariadb-perl (1.00-1) unstable; urgency=low

  * Initial release (Closes: #906883)

  # Changes since libdbd-mysql-perl 4.046-2:

  [ Xavier Guimard ]
  * Join upstream copyright (as described in DBD::MariaDB)
  * Add libdevel-checklib-perl in build dependencies
  * Remove regression-fix-float_type_conversion.patch included in upstream
  * Add spelling-error.patch (reported)
  * autopkgtest smoke-setup:
    - launch Makefile.PL in smoke-setup to create t/MariaDB.mtest if missing
      and add related files in smoke-files
    - modify smoke-setup using upstream contribution

  [ gregor hermann ]
  * autopkgtest smoke-setup:
    - set utf8 in db creation to enable more tests

 -- Xavier Guimard <x.guimard@free.fr>  Thu, 23 Aug 2018 20:54:16 +0200
