=== debian/control ===
Source: libdbd-mariadb-perl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 11),
               default-libmysqlclient-dev (>= 1.0.5),
               default-mysql-server,
               libdbi-perl (>= 1.642),
               libdevel-checklib-perl (>= 1.12),
               libnet-ssleay-perl,
               libssl-dev,
               libtest-deep-perl,
               perl,
               procps
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdbd-mariadb-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdbd-mariadb-perl.git
Homepage: https://metacpan.org/release/DBD-MariaDB

Package: libdbd-mariadb-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
         libdbi-perl (>= 1.642)
Description: Perl5 database interface to the MariaDB/MySQL databases
 DBD::MariaDB is a Perl5 Database Interface driver for the MariaDB/MySQL
 databases. In other words: DBD::MariaDB is an interface between the Perl
 programming language and the MariaDB/MySQL programming API that comes with
 the MariaDB/MySQL relational database management systems. Most functions
 provided by this programming API are supported.
 .
 DBD::MariaDB is a fork of DBD::mysql (libdbd-mysql-perl) with inprovements in
 MariaDB compatibility, Perl Unicode support, and some security related bug
 fixes, at the cost of not being 100% backwards compatible.
