=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)
ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

export MYSQL_DIR=$(CURDIR)/t/testdb
export MYSQL_UNIX_PORT=$(MYSQL_DIR)/mysql.sock
export MYSQL_PIDFILE=$(MYSQL_DIR)/mysql.pid
export MYSQL_USER=$(shell whoami)

# DBD::MariaDB test setup
export DBD_MARIADB_TESTDB=testdb
export DBD_MARIADB_TESTHOST=localhost
export DBD_MARIADB_TESTSOCKET=$(MYSQL_UNIX_PORT)
export DBD_MARIADB_TESTUSER=testuser
export DBD_MARIADB_TESTPASSWORD=testpassword

%:
	dh $@ --with perl_dbi

override_dh_auto_configure:
	LC_ALL=C.UTF-8 dh_auto_configure

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# prepare mariadb/mysql server
	sh $(CURDIR)/debian/tests/pkg-perl/smoke-setup

	dh_auto_test

	# tear down mariadb/mysql server
	sh $(CURDIR)/debian/tests/pkg-perl/smoke-cleanup
endif

override_dh_auto_install:
	dh_auto_install
	$(RM) -v $(TMP)/$(ARCHLIB)/DBD/README.pod
