=== debian/tests/control ===
Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps
Depends: @, pkg-perl-autopkgtest
Features: test-name=pkg-perl-autopkgtest-runtime-deps

Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps-and-recommends
Depends: @, pkg-perl-autopkgtest
Features: test-name=pkg-perl-autopkgtest-runtime-deps-and-recommends

Test-Command: /usr/share/pkg-perl-autopkgtest/runner build-deps
Depends: @, default-libmysqlclient-dev, libdbi-perl, libdevel-checklib-perl (>= 1.12), libnet-ssleay-perl, libssl-dev, libtest-deep-perl, perl, procps, mariadb-server, pkg-perl-autopkgtest
Features: test-name=pkg-perl-autopkgtest-build-deps-mariadb

Test-Command: /usr/share/pkg-perl-autopkgtest/runner build-deps
Depends: @, default-libmysqlclient-dev, libdbi-perl, libdevel-checklib-perl (>= 1.12), libnet-ssleay-perl, libssl-dev, libtest-deep-perl, perl, procps, mysql-server (>= 5.7), pkg-perl-autopkgtest
Restrictions: skip-not-installable
Features: test-name=pkg-perl-autopkgtest-build-deps-mysql
