=== debian/watch ===
version=3
https://metacpan.org/release/DBD-MariaDB   .*/DBD-MariaDB-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
