## libdbd-mariadb-perl 1.21

=== debian/changelog ===
libdbd-mariadb-perl (1.21-3) unstable; urgency=medium

  * Team upload.
  * Use MYSQL_USER instead of root in smoke-cleanup for MariaDB like in
    smoke-setup.
    (Hopefully really closes: #980640)
  * Create MYSQL_DIR in debian/tests/pkg-perl/smoke-setup.
    This might help with the removal problems in smoke-cleanup seen on some
    buildds.
  * Set MYSQL_USER for autopkgtests in debian/tests/pkg-perl/smoke-env
    once instead of duplicating it in smoke-setup and smoke-cleanup.

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Jan 2021 15:53:48 +0100

libdbd-mariadb-perl (1.21-2) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Replace '--with perl_dbi' in debian/rules with a build dependency on
    'dh-sequence-perl-dbi'.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Remove check for DEB_BUILD_OPTIONS=nocheck from debian/rules.
    debhelper 13 does this for us.
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.

  [ Robie Basak ]
  * Changes required for the MySQL 8.0 transition:
    - Avoid IDENTIFIED BY on GRANT.
    - GRANT SESSION_VARIABLES_ADMIN as required by MySQL >= 8.0.14.

  [ Dimitri John Ledkov ]
  * Adjust test case expectation that works with either 8.0.22+ or prior
    mysql versions. https://github.com/gooddata/DBD-MariaDB/issues/160

  [ gregor herrmann ]
  * Tighten regex in test patch, as proposed by upstream in
    https://github.com/gooddata/DBD-MariaDB/issues/160#issuecomment-725512481
  * debian/tests/pkg-perl/smoke-setup: drop --user on mysql_install_db
    call for MariaDB. Otherwise we get a permisson error with
    '/usr/lib/mysql/plugin/auth_pam_tool_dir/auth_pam_tool'.
  * debian/tests/pkg-perl/smoke-setup: use --user=${MYSQL_USER} throughout
    the script for MariaDB instead of a mixture of MYSQL_USER and root,
    which leads to database permission problems. Keep using 'root' for
    MySQL, which doesn't setup a user for the current login.
  * The above changes from Ubuntu plus the smoke-setup fixups fix the test
    failures with newer MariaDB.
    Closes: #980640

  * Update lintian override (renamed tag).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Jan 2021 13:26:21 +0100

libdbd-mariadb-perl (1.21-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.21.
  * Drop mariadb-10.3.12-message.patch which was taken from an upstream
    pull request.
  * Update years of packaging copyright.
  * Update Build-Depends for cross builds.
  * Set upstream metadata fields: Bug-Submit.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Dec 2019 20:21:37 +0100

libdbd-mariadb-perl (1.11-4) unstable; urgency=medium

  * Team upload.
  * Update autopkgtest setup. Only override smoke test instead of
    duplicating whole test stack.
    Replace ADTTMP with AUTOPKGTEST_TMP.
    Update debian/tests/control to match the one generated by autodp8.
  * Mark autopkgtest pkg-perl-autopkgtest-build-deps-{mysql,mariadb} as flaky.
    Sometimes mysql/mariadb have issues on ci.debian.net, like running out of
    memory, which shouldn't make this package's tests fail.
    Cf. #942093
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Add lintian override (autopkgtests).
  * Fix typo in old changelog entry.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Oct 2019 23:50:58 +0200
