=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: libdbd-mariadb-perl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Xavier Guimard <yadd@debian.org>
 Section: perl
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev (>= 1.0.5),
-               default-mysql-server,
+               default-mysql-server <!nocheck>,
+               dh-sequence-perl-dbi,
                libdbi-perl (>= 1.642),
                libdevel-checklib-perl (>= 1.12),
-               libnet-ssleay-perl,
+               libnet-ssleay-perl <!nocheck>,
                libssl-dev,
-               libtest-deep-perl,
-               perl,
-               procps
-Standards-Version: 4.3.0
+               libtest-deep-perl <!nocheck>,
+               perl-xs-dev,
+               perl:native,
+               procps <!nocheck>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdbd-mariadb-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdbd-mariadb-perl.git
 Homepage: https://metacpan.org/release/DBD-MariaDB
+Rules-Requires-Root: no
 
 Package: libdbd-mariadb-perl
 Architecture: any
