=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 TMP     = $(CURDIR)/debian/$(PACKAGE)
 ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export MYSQL_DIR=$(CURDIR)/t/testdb
 export MYSQL_UNIX_PORT=$(MYSQL_DIR)/mysql.sock
@@ -19,13 +19,12 @@
 export DBD_MARIADB_TESTPASSWORD=testpassword
 
 %:
-	dh $@ --with perl_dbi
+	dh $@
 
 override_dh_auto_configure:
 	LC_ALL=C.UTF-8 dh_auto_configure
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# prepare mariadb/mysql server
 	sh $(CURDIR)/debian/tests/pkg-perl/smoke-setup
 
@@ -33,7 +32,6 @@
 
 	# tear down mariadb/mysql server
 	sh $(CURDIR)/debian/tests/pkg-perl/smoke-cleanup
-endif
 
 override_dh_auto_install:
 	dh_auto_install
