=== debian/watch ===
version=4
https://metacpan.org/release/DBD-MariaDB   .*/DBD-MariaDB-v?@ANY_VERSION@@ARCHIVE_EXT@$
