## libdbd-mariadb-perl 1.22

=== debian/changelog ===
libdbd-mariadb-perl (1.22-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.22.
  * Drop Fix_compatibility_with_new_MariaDB_client_and_server_versions.patch.
    Taken from upstream Git repository, now merged.
  * debian/rules: don't install README and INSTALL documents.
  * Fix typo in previous changelog entry.

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Apr 2022 01:59:01 +0200

libdbd-mariadb-perl (1.21-6) unstable; urgency=medium

  * Team upload.
  * Replace MariaDB 10.6.x patch with newer upstream pull request.

 -- gregor herrmann <gregoa@debian.org>  Fri, 08 Apr 2022 22:18:21 +0200

libdbd-mariadb-perl (1.21-5) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream author to fix test failures.
    (Closes: #1002093)
  * Update years of packaging copyright.
  * Drop unneeded version constraints from (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 Apr 2022 21:38:42 +0200

libdbd-mariadb-perl (1.21-4) unstable; urgency=medium

  * Team upload.
  * Remove $Config{vendorarch} from debian/rules.
    Makes to package un-cross-buildable, and README.pod is not installed
    anymore by recent versions of ExtUtils::MakeMaker.
  * Declare compliance with Debian Policy 4.6.0.
  * Drop unneeded version constraints from (build) dependencies.
  * debian/rules: override_dh_auto_test: check for
    DEB_BUILD_OPTIONS=nocheck.
  * Drop unused lintian override.

 -- gregor herrmann <gregoa@debian.org>  Tue, 02 Nov 2021 19:32:54 +0100
