=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               default-libmysqlclient-dev (>= 1.0.5),
+               default-libmysqlclient-dev,
                default-mysql-server <!nocheck>,
                dh-sequence-perl-dbi,
-               libdbi-perl (>= 1.642),
-               libdevel-checklib-perl (>= 1.12),
+               libdbi-perl,
+               libdevel-checklib-perl,
                libnet-ssleay-perl <!nocheck>,
                libssl-dev,
                libtest-deep-perl <!nocheck>,
                perl-xs-dev,
                perl:native,
                procps <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdbd-mariadb-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdbd-mariadb-perl.git
 Homepage: https://metacpan.org/release/DBD-MariaDB
@@ -27,7 +27,7 @@
 Depends: ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends},
-         libdbi-perl (>= 1.642)
+         libdbi-perl
 Description: Perl5 database interface to the MariaDB/MySQL databases
  DBD::MariaDB is a Perl5 Database Interface driver for the MariaDB/MySQL
  databases. In other words: DBD::MariaDB is an interface between the Perl
