=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 PACKAGE = $(shell dh_listpackages)
 TMP     = $(CURDIR)/debian/$(PACKAGE)
-ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
+
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -25,6 +26,7 @@
 	LC_ALL=C.UTF-8 dh_auto_configure
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# prepare mariadb/mysql server
 	sh $(CURDIR)/debian/tests/pkg-perl/smoke-setup
 
@@ -32,7 +34,11 @@
 
 	# tear down mariadb/mysql server
 	sh $(CURDIR)/debian/tests/pkg-perl/smoke-cleanup
+endif
 
 override_dh_auto_install:
 	dh_auto_install
-	$(RM) -v $(TMP)/$(ARCHLIB)/DBD/README.pod
+	find $(TMP) -type f -name "*README*" -delete
+	find $(TMP) -type f -name "*INSTALL*" -delete
+	rmdir --ignore-fail-on-non-empty --parents --verbose \
+		$(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/*/DBD/MariaDB/
